PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pgtclsh

## Name

pgtclsh -- PostgreSQL Tcl shell client

## Synopsis

pgtclsh [`filename` [`arguments`...]]

## Description

pgtclsh is a Tcl shell interface extended with Postgres database access functions. (Essentially, it is tclsh with `libpgtcl` loaded.) Like with the regular Tcl shell, the first command line argument is a script file, any remaining arguments are passed to the script. If no script file is named, the shell is interactive.

A Tcl shell with Tk and Postgres functions is available as pgtksh .

## See Also

pgtksh , PostgreSQL Programmer's Guide (description of `libpgtcl`), tclsh

Prev | Home | Next
psql | Up | pgtksh